﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Деление по модулю</title>
</head>
<body>
    <!--

            Оператор взятия остатка %, несмотря на обозначение, никакого отношения к 
            процентам не имеет. Его результат a % b – это остаток от деления a на b.
            
-->
        <script>
            //Результат a % b – это остаток от целочисленного деления a на b.
            //https://ru.wikipedia.org/wiki/%D0%94%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5_%D1%81_%D0%BE%D1%81%D1%82%D0%B0%D1%82%D0%BA%D0%BE%D0%BC

                console.log(5 % 2); // 1, остаток от деления 5 на 2
                console.log(8 % 3); // 2, остаток от деления 8 на 3
                console.log(6 % 3); // 0, остаток от деления 6 на 3
        
        
                console.log(1 % 5)// 1
                console.log(2 % 5)// 2
                console.log(3 % 5)// 3
                console.log(4 % 5)// 4
                console.log(5 % 5)// 0
                console.log(6 % 5)// 1
                console.log(7 % 5)// 
                console.log(8 % 5)// 
                console.log(9 % 5)// 
                console.log(10 % 5)// 
        
        
            </script>
</body>
</html>